{% extends "/admin/master.twig" %}

{% block title %}Dashboard{% endblock %}
{% block description %}Omnibus at a glance{% endblock %}

{% block body %}

    <div class="ui secondary pointing menu">
        <a class="active item" data-tab="first">Stats</a>
        <a class="item" data-tab="second">Cron log</a>
        <a class="item" data-tab="third">Uptime</a>
    </div>
    <div class="ui active tab basic segment" data-tab="first">

        <div class="ui six statistics">
            <div class="statistic">
                <div class="value">
                    {{ counter.users }}
                </div>
                <div class="label">
                    Users
                </div>
            </div>
            <div class="statistic">
                <div class="value">
                    {{ counter.comments }}
                </div>
                <div class="label">
                    Comments
                </div>
            </div>
            <div class="statistic">
                <div class="value">
                    {{ counter.articles }}
                </div>
                <div class="label">
                    Articles
                </div>
            </div>
            <div class="statistic">
                <div class="value">
                    {{ counter.categories }}
                </div>
                <div class="label">
                    Categories
                </div>
            </div>
            <div class="statistic">
                <div class="value">
                    {{ counter.tags }}
                </div>
                <div class="label">
                    Tags
                </div>
            </div>
            <div class="statistic">
                <div class="value">
                    {{ counter.classes }}
                </div>
                <div class="label">
                    Classes
                </div>
            </div>
        </div>

        <div class="ui divider"></div>

        <div class="row">
            <div class="twelve wide column"></div>
        </div>
    </div>


    <div class="ui tab segment" data-tab="second">
        {% for c in cron %}
            <p>Sitemap requested: {{ c.requested }}</p>
            <p>Sitemap generated: {{ c.generated }}</p>
            <hr>
        {% endfor %}
    </div>

    <div class="ui tab segment" data-tab="third">

        <div class="ui stackable divided grid">
            <div class="eight wide column">
                <div class="ui grid">
                    <div class="row">
                        <div class="eight wide column">

                            <h3 class="ui header">
                                <i class="{{ status.omnibus.icon }} icon"></i>
                                <div class="content">
                                    Omnibus
                                    <div class="sub header">{{ status.omnibus.type }}</div>
                                </div>
                            </h3>

                            <div class="ui divider"></div>

                            <div class="ui feed">
                                {% for log in logs.omnibus %}
                                    <div class="event">
                                        <div class="label">
                                            <i class="{{ log.status.icon }} icon"></i>
                                        </div>
                                        <div class="content">
                                            <div class="summary">
                                                {{ log.status.type }}
                                                <div class="date">
                                                    {{ log.time }} ({{ log.duration }})
                                                </div>
                                            </div>
                                            <div class="extra text">
                                                {{ log.reason }}
                                            </div>
                                        </div>
                                    </div>
                                {% endfor %}
                            </div>

                        </div>
                        <div class="eight wide column">
                            <canvas id="omnibus-uptime"></canvas>
                        </div>
                    </div>
                </div>
                <div class="row">

                </div>
            </div>
            <div class="eight wide column">
                <div class="ui grid">
                    <div class="row">
                        <div class="eight wide column">

                            <h3 class="ui header">
                                <i class="{{ status.bot.icon }} icon"></i>
                                <div class="content">
                                    Omnibus - bot
                                    <div class="sub header">{{ status.bot.type }}</div>
                                </div>
                            </h3>

                            <div class="ui divider"></div>

                            <div class="ui feed">
                                {% for log in logs.bot %}
                                    <div class="event">
                                        <div class="label">
                                            <i class="{{ log.status.icon }} icon"></i>
                                        </div>
                                        <div class="content">
                                            <div class="summary">
                                                {{ log.status.type }}
                                                <div class="date">
                                                    {{ log.time }} ({{ log.duration }})
                                                </div>
                                            </div>
                                            <div class="extra text">
                                                {{ log.reason }}
                                            </div>
                                        </div>
                                    </div>
                                {% endfor %}
                            </div>

                        </div>
                        <div class="eight wide column">
                            <canvas id="bot-uptime"></canvas>
                        </div>
                    </div>
                </div>
                <div class="row">

                </div>
            </div>
        </div>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.2/Chart.bundle.min.js"></script>

    <script type="text/javascript">
        var ctx = document.getElementById("omnibus-uptime");
        var omnibus_chart = new Chart(ctx, {
            type: 'pie',
            data: {
                datasets: [{
                    data: [{{ uptime.omnibus ~ ',' ~ downtime.omnibus }}],
                    backgroundColor: ['#3fb339', '#d83836'],
                    borderColor: ['#000', '#000'],
                    borderWidth: [1.2, 1.2],
                }],
                labels: ['uptime', 'downtime'],
            },
            options: {
                responsive: true,
                animation: {
                    animateScale: true,
                    animateRotate: true
                }
            }
        });
    </script>
    <script type="text/javascript">
        var ctx_bot = document.getElementById("bot-uptime");
        var bot_chart = new Chart(ctx_bot, {
            type: 'pie',
            data: {
                datasets: [{
                    data: [{{ uptime.bot ~ ',' ~ downtime.bot }}],
                    backgroundColor: ['#3fb339', '#d83836'],
                    borderColor: ['#000', '#000'],
                    borderWidth: [1.2, 1.2],
                }],
                labels: ['uptime', 'downtime'],
            },
            options: {
                responsive: true,
                animation: {
                    animateScale: true,
                    animateRotate: true
                }
            }
        });
    </script>

    <script type="text/javascript">
        // Handle tabular menu
        $('.menu .item')
            .tab({
                'onVisible': function () {
                    console.log('Tab changed');
                    omnibus_chart.render({
                        duration: 800,
                        lazy: false,
                        easing: 'easeOutBounce'
                    })
                }
            })
        ;
    </script>

{% endblock %}
